unit UnitPopupGenerate;
{
    Purpose:
        Move the popup generation logic into a separate file

    Notes:
        Used a dirty trick by just replacing FrmMainPopup with a subclass
}

{///////////////}
interface
{///////////////}
uses Menus, UnitFrmMainPopup, UnitMenuItemTagdata, UnitClipQueue, Windows,
  Graphics, UnitMisc, Classes;

type TPopupGenerator = class(TFrmMainPopup)
        procedure FormCreate(Sender: TObject); overload;

    private

    protected
    public


end;

var
  FrmMainPopup: TPopupGenerator;

{////////////////////}
implementation
{////////////////////}

uses UnitFrmConfig, UnitPaste, UnitFrmSysTrayMenu,
  UnitOtherQueue, SysUtils, UnitFrmPermanentNew, UnitFrmClipboardManager, Forms, Messages;


procedure TPopupGenerator.FormCreate(Sender: TObject);
begin
    inherited;
 

end;


end.
